"Your device isn't compatible with this version" is said whenever I try to download

Euclid1219

New member
Aug 14, 2013
2
0
0
Visit site
please take into consideration that this is my first android tablet
and I have very little technical expertise
also I don't know the technical jargon or terms used on this site

I went to this one forum
http://forum.xda-developers.com/show....php?t=2398788
which I gathered from the thread that apps in google playstore are not always accessible due to various countries terms and laws
I have used the search engine extensively, read every thread related to my issue and it confused me even more

the apps I need are vital it is life are death
they are Vlingo and Robin

how do I Work around this issue?
 

Aquila

Retired Moderator
Feb 24, 2012
15,904
0
0
Visit site
If it is based on location, setting up a Google account with it's home address and payment method set to a supported location will allow it. This message is most commonly referring to the device itself being supported. In either case you can probably search XDA or a similar site for the APK. Both of these apps are free. The best recommendation is to send a message directly to the developer via the Play Store with your concerns and see if they can officially support your device and/or location.
 

Euclid1219

New member
Aug 14, 2013
2
0
0
Visit site
i Haves an Asus memo pad me172v, do you were I can download a apk for those apps, I'm trying to do it from my tablet.
I checked XDA no luck

oh I'm in the U.S California region
 

Trending Posts

Forum statistics

Threads
943,817
Messages
6,920,192
Members
3,159,246
Latest member
RomeoCatcher